/**
 * al-tip
 *
 * @author Rob Parker <robert.parker@alertlogic.com>
 *
 * @copyright Alert Logic, Inc 2021
 *
 */
import { OnInit, ElementRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class AlTipComponent implements OnInit {
    private eref;
    tip: string;
    showTip: boolean;
    constructor(eref: ElementRef);
    ngOnInit(): void;
    clickOut(event: Event): void;
    static ɵfac: i0.ɵɵFactoryDef<AlTipComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<AlTipComponent, "al2-tip", never, { "tip": "tip"; }, {}, never, never>;
}
